Subject: Re: With big repos and slower connections, git clone can be hard to work with

From: Junio C Hamano <[email-masked]>
Date: Sat, 08 Jun 2024 12:00:51 -0700

Jeff King <[email-masked]> writes:

> One strategy people have worked on is for servers to point clients at
> static packfiles (which _do_ remain byte-for-byte identical, and can be
> resumed) to get some of the objects. But it requires some scheme on the
> server side to decide when and how to create those packfiles. So while
> there is support inside Git itself for this idea (both on the server and
> client side), I don't know of any servers where it is in active use.

Didn't the bundle URL work originate at GitHub?  I thought this use
case was a reasonable match to the mechanism.